Delete Enrichments
curl --request DELETE \
--url https://api.coralogix.com/mgmt/openapi/5/enrichment-rules/enrichment-rules/v1 \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/enrichment-rules/enrichment-rules/v1"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/enrichment-rules/enrichment-rules/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"remainingEnrichments": [
{
"enrichmentType": {
"geoIp": {
"withAsn": true
},
"aws": {
"resourceType": "ec2"
},
"customEnrichment": {
"id": 1
},
"suspiciousIp": {}
},
"fieldName": "1",
"id": 1,
"enrichedFieldName": "1",
"selectedColumns": [
"city",
"population"
],
"targets": [
{
"dataset": "dataset1"
}
]
}
]
}Enrichments Service
Delete Enrichments
Deletes all enrichment rules for the team.
Delete Enrichments
Authorizations
API key authentication
Query Parameters
The unique identifiers of the enrichment rules to delete.
The unique identifiers of the enrichment rules to delete.
Required range:
x >= 0Example:
[1, 2, 3]
Response
200 - application/json
Response data structure for enrichments deletion
The remaining enrichments.
Show child attributes
Show child attributes
Was this page helpful?
⌘I